Get All Consent Configurations for a tenant
1 min
GET
https://api.upstartcommerce.com/v1/customer/consent/configurations
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
- GetCategoryConfigurationsResponse[]Description
- tenantstringrequiredDescription
- siteIdsstring[]Description
- categoryIdstringrequiredDescription
- created_atstring<date-time>DescriptionFormatdate-time
- updated_atstring<date-time>DescriptionFormatdate-time
- enabled_atstring<date-time>DescriptionFormatdate-time
- disabled_atstring<date-time>DescriptionFormatdate-time
- enabledbooleanrequiredDescription
400
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
401
- UnauthorizedErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
405
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
423
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/customer/consent/configurations \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/customer/consent/configurations", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/customer/consent/configurations")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/customer/consent/configurations"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Custom Consent Categories Updated Successfully
[
{
"tenant": "",
"siteIds": [
""
],
"categoryId": "",
"created_at": "",
"updated_at": "",
"enabled_at": "",
"disabled_at": "",
"enabled": false
}
]400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]401
// The provided credentials were not valid for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// User's roles are insufficient for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}405
// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}423
// Consent Management is disabled or locked for the tenant, so consent operations are not allowed.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]500
// There was an internal server error.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}